################################################################################################
#
# Safest Commandblock House
#
################################################################################################

################################################################# General ################################################################

scoreboard objectives add r dummy
scoreboard objectives add rc minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add sneak minecraft.custom:minecraft.sneak_time
scoreboard objectives add talk minecraft.custom:minecraft.talked_to_villager
scoreboard objectives add walk minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add sprint minecraft.custom:minecraft.sprint_one_cm
scoreboard objectives add crouch minecraft.custom:minecraft.crouch_one_cm
scoreboard objectives add jump minecraft.custom:minecraft.jump
scoreboard objectives add pick_used minecraft.used:minecraft.diamond_pickaxe
scoreboard objectives add x dummy
scoreboard objectives add y dummy
scoreboard objectives add z dummy
scoreboard objectives add dx dummy
scoreboard objectives add dz dummy
scoreboard objectives add dy dummy
scoreboard objectives add pitfall_timer dummy
scoreboard objectives add spike_timer dummy
scoreboard objectives add admin dummy
scoreboard objectives add ET dummy
scoreboard objectives add ET2 dummy
scoreboard objectives add p_rot dummy
scoreboard objectives add md_pow dummy
scoreboard objectives add ss_active dummy
scoreboard objectives add ff_active dummy
scoreboard objectives add ss_firerate dummy
scoreboard objectives add ff_firerate dummy
scoreboard objectives add ss_enchant dummy
scoreboard objectives add flame_lt dummy
scoreboard objectives add temp_flame dummy
scoreboard objectives add r dummy

scoreboard players set @e ET 1
scoreboard players set @e[type=item] ET 0
scoreboard players set @e[type=armor_stand] ET 0
scoreboard players set @e[type=end_crystal] ET 0
scoreboard players set @e[type=area_effect_cloud] ET 0
scoreboard players set @e[type=boat] ET 0
scoreboard players set @e[type=arrow] ET 0
scoreboard players set @e[type=painting] ET 0
scoreboard players set @e[type=player] ET 0
scoreboard players set @e[type=arrow] ET 0
scoreboard players set @e[type=minecart] ET 0
scoreboard players set @e[type=experience_orb] ET 0
scoreboard players set @e[type=zombie] ET 2
scoreboard players set @e[type=zombie_villager] ET 2
scoreboard players set @e[type=zombie_horse] ET 2
scoreboard players set @e[type=zombie_pigman] ET 2
scoreboard players set @e[type=wither_skeleton] ET 2
scoreboard players set @e[type=husk] ET 2
scoreboard players set @e[type=skeleton] ET 2
scoreboard players set @e[type=stray] ET 2

scoreboard players set @e[scores={ET=1..2}] ET2 1
scoreboard players set @a[scores={admin=0}] ET2 1
scoreboard players set @a[scores={admin=1}] ET2 0

scoreboard players set @a[y_rotation=-45..45] p_rot 1
scoreboard players set @a[y_rotation=46..135] p_rot 2
scoreboard players set @a[y_rotation=135..180] p_rot 3
scoreboard players set @a[y_rotation=-180..-135] p_rot 3
scoreboard players set @a[y_rotation=-134..-46] p_rot 4


tellraw @a[tag=!init_msg] ["",{"text":"\n\n\n==-=-- Safest Commandblock House - ","color":"red","bold":true},{"text":"by McMakistein","color":"gold","bold":true},{"text":" --=-==","color":"red","bold":true},{"text":"\n                 [","color":"none","bold":false},{"text":"Explanation video about this creation","color":"dark_green","clickEvent":{"action":"open_url","value":"https://youtu.be/lJzb5RVtZMo"}},{"text":"]\n\n","color":"none"},{"text":"                       More of my work:\n","bold":true,"color":"none"},{"text":"                [","bold":false,"color":"none"},{"text":"Youtube","color":"red","bold":true,"clickEvent":{"action":"open_url","value":"https://www.youtube.com/user/McMakistein?sub_confirmation=1."},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Subscribe for more commandblock creation like this!"}]}}},{"text":"] - [","color":"none","bold":false},{"text":"Twitter","color":"blue","bold":true,"clickEvent":{"action":"open_url","value":"https://twitter.com/MrMakistein"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Follow me on twitter for updates and sneakpeaks on new projects!"}]}}},{"text":"] - [","color":"none","bold":false},{"text":"Instagram","color":"gold","bold":true,"clickEvent":{"action":"open_url","value":"http://instagram.com/mrmakistein"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Follow me on Instagram if you want to know more about me as a person!"}]}}},{"text":"]","color":"none","bold":false}]
tag @a add init_msg

gamerule logAdminCommands false
gamerule commandBlockOutput false


################################################### Give #############################################

give @a[tag=give] minecraft:vex_spawn_egg{display:{Name:"{\"text\":\"Pitfall Trap\",\"italic\":\"false\"}",Lore:["Rightclick to spawn."]},EntityTag:{id:"minecraft:armor_stand",Invisible:1,Marker:1,Tags:["sp1","sp"]},HideFlags:63}
give @a[tag=give] minecraft:ravager_spawn_egg{display:{Name:"{\"text\":\"Spike Trap\",\"italic\":\"false\"}",Lore:["Rightclick to spawn."]},EntityTag:{id:"minecraft:armor_stand",Invisible:1,Marker:1,Tags:["sp2","sp"]},HideFlags:63}
give @a[tag=give] minecraft:elder_guardian_spawn_egg{display:{Name:"{\"text\":\"Multishot Dispenser\",\"italic\":\"false\"}",Lore:["Rightclick to spawn."]},EntityTag:{id:"minecraft:armor_stand",Invisible:1,Marker:1,Tags:["sp3","sp"]},HideFlags:63}
give @a[tag=give] minecraft:panda_spawn_egg{display:{Name:"{\"text\":\"Sharpshooter Dispenser\",\"italic\":\"false\"}",Lore:["Rightclick to spawn."]},EntityTag:{id:"minecraft:armor_stand",Invisible:1,Marker:1,Tags:["sp4","sp"]},HideFlags:63}
give @a[tag=give] minecraft:magma_cube_spawn_egg{display:{Name:"{\"text\":\"Flamethrower\",\"italic\":\"false\"}",Lore:["Rightclick to spawn."]},EntityTag:{id:"minecraft:armor_stand",Invisible:1,Marker:1,Tags:["sp5","sp"]},HideFlags:63}
give @a[tag=give] minecraft:diamond_pickaxe{display:{Name:"{\"text\":\"Key\",\"italic\":\"false\"}",HideFlags:63},Damage:7,Unbreakable:1}
tag @a remove give


################################################### General #############################################
scoreboard players set @a admin 0
scoreboard players set @a[nbt={Inventory:[{id:"minecraft:diamond_pickaxe",tag:{Damage:7,Unbreakable:1}}]}] admin 1




################################################### Flame thrower #############################################

execute as @e[tag=sp5] at @s align xyz run setblock ~0.5 ~ ~0.5 cobblestone
execute as @e[tag=sp5] at @s align xyz run summon armor_stand ~0.5 ~1 ~0.5 {Tags:[flamethrower_base],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:5,Unbreakable:1}}]}
execute as @e[tag=sp5] at @s align xyz run summon armor_stand ~0.5 ~1.3 ~0.5 {Small:1,Tags:[flamethrower_top],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:6,Unbreakable:1}}],Pose:{Head:[0.01f,0.1f,0.1f]}}
kill @e[tag=sp5]

execute as @e[tag=flamethrower_base] at @s if block ~ ~-1 ~ #safest_house:air run kill @e[tag=flamethrower_top,limit=1,sort=nearest]
execute as @e[tag=flamethrower_base] at @s if block ~ ~-1 ~ #safest_house:air run kill @s

scoreboard players add @e[tag=flamethrower_top] ff_active 0
scoreboard players remove @e[tag=flamethrower_top,scores={ff_active=1..}] ff_active 1
execute as @e[scores={ET2=1}] at @s run scoreboard players set @e[tag=flamethrower_top,distance=..8] ff_active 20

execute as @e[tag=flamethrower_top,scores={ff_active=2..,ff_firerate=0}] at @s run function safest_house:flames
scoreboard players add @e[tag=flamethrower_top] ff_firerate 0
scoreboard players remove @e[tag=flamethrower_top,scores={ff_firerate=1..}] ff_firerate 1

scoreboard players add @e[tag=ffp] flame_lt 1

execute as @e[tag=ffp,scores={flame_lt=2}] at @s run tp @s @e[tag=flamethrower_top,limit=1,sort=nearest]
execute as @e[tag=ffp,scores={flame_lt=2}] at @s run tp @s ~ ~0.8 ~
#execute as @e[tag=ffp,scores={flame_lt=2}] run execute store result entity @s Rotation[0] float 1 run data get entity @e[tag=flamethrower_top,limit=1,sort=nearest] Rotation[0] 1
#execute as @e[tag=ffp,scores={flame_lt=2}] run execute store result entity @s Rotation[1] float 1 run data get entity @e[tag=flamethrower_top,limit=1,sort=nearest] Rotation[1] 1


execute as @e[tag=ffp,scores={flame_lt=3..}] at @s run tp @s ^ ^ ^0.7
execute as @e[tag=ffp,scores={flame_lt=2..}] at @s run particle flame ~ ~ ~ 0 0 0 0.02 1 force
execute as @e[tag=ffp,scores={flame_lt=2..}] at @s run execute as @e[scores={ET2=1},distance=..1] at @s run summon area_effect_cloud ~ ~ ~ {Tags:[temp_flame],Duration:26}
execute as @e[tag=ffp,scores={flame_lt=2..}] at @s run effect give @e[scores={ET2=1},distance=..1] wither 1 2 true
kill @e[tag=ffp,scores={flame_lt=14..}]

scoreboard players add @e[tag=temp_flame] temp_flame 1

execute as @e[tag=temp_flame,scores={temp_flame=1}] at @s if block ~ ~ ~ #safest_house:air run setblock ~ ~ ~ fire
execute as @e[tag=temp_flame,scores={temp_flame=1}] at @s if block ~ ~ ~ minecraft:grass run setblock ~ ~ ~ fire
execute as @e[tag=temp_flame,scores={temp_flame=1}] at @s run kill @e[tag=temp_flame,distance=..0.3,scores={temp_flame=5..}]
execute as @e[tag=temp_flame,scores={temp_flame=25}] at @s if block ~ ~ ~ fire run setblock ~ ~ ~ air




################################################### Sharpshooter dispenser #############################################

execute as @e[tag=sp4] at @s run tag @p add placer2
execute as @e[tag=sp4] at @s run setblock ~ ~ ~ wither_skeleton_skull
execute as @a[tag=placer2,scores={p_rot=3}] at @s run execute as @e[tag=sp4,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["sharpshooter","ssd1"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:4,Unbreakable:1}}],Rotation:[0f]}
execute as @a[tag=placer2,scores={p_rot=2}] at @s run execute as @e[tag=sp4,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["sharpshooter","ssd2"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:4,Unbreakable:1}}],Rotation:[-90f]}
execute as @a[tag=placer2,scores={p_rot=1}] at @s run execute as @e[tag=sp4,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["sharpshooter","ssd3"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:4,Unbreakable:1}}],Rotation:[180f]}
execute as @a[tag=placer2,scores={p_rot=4}] at @s run execute as @e[tag=sp4,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["sharpshooter","ssd4"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:4,Unbreakable:1}}],Rotation:[90f]}
kill @e[tag=sp4]
tag @a[tag=placer2] remove placer2

execute as @e[tag=sharpshooter] at @s if block ~ ~ ~ #safest_house:air run kill @s

scoreboard players add @e[tag=sharpshooter] ss_active 0
scoreboard players remove @e[tag=sharpshooter,scores={ss_active=1..}] ss_active 1
execute as @e[scores={ET2=1}] at @s run scoreboard players set @e[tag=sharpshooter,distance=..30] ss_active 20

execute as @e[tag=sharpshooter,scores={ss_active=2..}] at @s run tp @s ~ ~ ~ facing entity @e[scores={ET2=1},limit=1,sort=nearest]
#execute as @e[tag=sharpshooter,scores={ss_active=2..}] at @s run tp @s ~ ~ ~ ~ 0

execute as @e[tag=ssd1,scores={ss_active=1}] at @s run tp @s ~ ~ ~ 0 0
execute as @e[tag=ssd2,scores={ss_active=1}] at @s run tp @s ~ ~ ~ -90 0
execute as @e[tag=ssd3,scores={ss_active=1}] at @s run tp @s ~ ~ ~ 180 0
execute as @e[tag=ssd4,scores={ss_active=1}] at @s run tp @s ~ ~ ~ 90 0

execute as @e[tag=sharpshooter,scores={ss_active=2..,ss_firerate=0}] at @s run function safest_house:sharpshoot
scoreboard players add @e[tag=sharpshooter] ss_firerate 0
scoreboard players remove @e[tag=sharpshooter,scores={ss_firerate=1..}] ss_firerate 1

kill @e[tag=ssa,nbt={inGround:1b}]

scoreboard players add @e[tag=sharpshooter] ss_enchant 0
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b},OnGround:1b}] at @s run tag @e[tag=sharpshooter,scores={ss_enchant=0},limit=1,sort=nearest] add do_enchant

execute as @e[tag=do_enchant] at @s run particle cloud ~ ~0.5 ~ 0.2 0.2 0.2 0.07 20 force
execute as @e[tag=do_enchant] at @s run kill @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b},OnGround:1b},limit=1,sort=nearest]
scoreboard players set @e[tag=do_enchant] ss_enchant 1
tag @e[tag=do_enchant] remove do_enchant

execute as @e[tag=sharpshooter,scores={ss_enchant=1..}] at @s run particle enchant ~ ~0.5 ~ 0.5 0.5 0.5 0.2 2 force


################################################### Multishop dispenser #############################################

execute as @e[tag=sp3] at @s run tag @p add placer
execute as @e[tag=sp3] at @s run setblock ~ ~ ~ black_stained_glass
execute as @a[tag=placer,scores={p_rot=3}] at @s run execute as @e[tag=sp3,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["multi_dispenser","md1"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:3,Unbreakable:1}}],Rotation:[0f]}
execute as @a[tag=placer,scores={p_rot=2}] at @s run execute as @e[tag=sp3,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["multi_dispenser","md2"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:3,Unbreakable:1}}],Rotation:[-90f]}
execute as @a[tag=placer,scores={p_rot=1}] at @s run execute as @e[tag=sp3,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["multi_dispenser","md3"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:3,Unbreakable:1}}],Rotation:[180f]}
execute as @a[tag=placer,scores={p_rot=4}] at @s run execute as @e[tag=sp3,limit=1,sort=nearest] at @s align xyz run summon armor_stand ~0.5 ~ ~0.5 {Tags:["multi_dispenser","md4"],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:3,Unbreakable:1}}],Rotation:[90f]}
kill @e[tag=sp3]
tag @a[tag=placer] remove placer

execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~ #safest_house:air run kill @s

execute as @e[tag=multi_dispenser] at @s if block ~ ~1 ~ redstone_block run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~-1 ~ redstone_block run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~1 ~ ~ redstone_block run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~-1 ~ ~ redstone_block run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~-1 redstone_block run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~1 redstone_block run scoreboard players set @s md_pow 3

execute as @e[tag=multi_dispenser] at @s if block ~1 ~ ~ redstone_wire unless block ~1 ~ ~ redstone_wire[power=0] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~-1 ~ ~ redstone_wire unless block ~-1 ~ ~ redstone_wire[power=0] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~1 ~ redstone_wire unless block ~ ~1 ~ redstone_wire[power=0] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~-1 ~ redstone_wire unless block ~ ~-1 ~ redstone_wire[power=0] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~1 redstone_wire unless block ~ ~ ~1 redstone_wire[power=0] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~-1 redstone_wire unless block ~ ~ ~-1 redstone_wire[power=0] run scoreboard players set @s md_pow 3

execute as @e[tag=multi_dispenser] at @s if block ~1 ~ ~ repeater[powered=true,facing=east] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~-1 ~ ~ repeater[powered=true,facing=west] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~-1 repeater[powered=true,facing=north] run scoreboard players set @s md_pow 3
execute as @e[tag=multi_dispenser] at @s if block ~ ~ ~1 repeater[powered=true,facing=south] run scoreboard players set @s md_pow 3

execute as @e[tag=multi_dispenser,scores={md_pow=3},tag=!unpowered] at @s run function safest_house:multi_shoot
execute as @e[tag=multi_dispenser,scores={md_pow=3},tag=!unpowered] at @s run tag @s add unpowered
scoreboard players remove @e[tag=multi_dispenser,scores={md_pow=1..}] md_pow 1
tag @e[tag=multi_dispenser,scores={md_pow=1}] remove unpowered

kill @e[tag=msa,nbt={inGround:1b}]

################################################### Spiketrap #############################################

execute as @e[tag=spike] at @s positioned ~ ~1 ~ run kill @e[tag=sp2,distance=..0.5]
execute as @e[tag=sp2] at @s run summon armor_stand ~ ~ ~ {Tags:[spike_center],NoGravity:1,Invisible:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:2,Unbreakable:1}}]}
kill @e[tag=sp2]

scoreboard players add @e[tag=spike_center] spike_timer 0
scoreboard players add @e[tag=spike_center,scores={spike_timer=1..}] spike_timer 1
scoreboard players set @e[tag=spike_center,scores={spike_timer=40..}] spike_timer 0

execute as @a[scores={admin=0}] at @s positioned ~ ~ ~ run scoreboard players set @e[tag=spike_center,distance=..0.5,scores={spike_timer=0}] spike_timer 1
execute as @e[scores={ET=1..2}] at @s positioned ~ ~ ~ run scoreboard players set @e[tag=spike_center,distance=..0.5,scores={spike_timer=0}] spike_timer 1

execute as @e[tag=spike_center,scores={spike_timer=2}] at @s run summon armor_stand ~ ~ ~ {Tags:[spike],NoGravity:1,Invisible:1,Marker:1}
scoreboard players add @e[tag=spike] spike_timer 1
execute as @e[tag=spike,scores={spike_timer=2}] at @s run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1,tag:{Damage:1,Unbreakable:1}}]}
execute as @e[tag=spike,scores={spike_timer=2..5}] at @s run tp @s ~ ~0.15 ~
execute as @e[tag=spike,scores={spike_timer=22..28}] at @s run tp @s ~ ~-0.1 ~
execute as @e[tag=spike,scores={spike_timer=32}] at @s run kill @s

execute as @e[tag=spike,scores={spike_timer=5}] at @s run effect give @e[scores={ET=1},distance=..0.7] instant_damage 1 2 true
execute as @e[tag=spike,scores={spike_timer=5}] at @s run effect give @e[scores={ET=2},distance=..0.7] instant_health 1 2 true
execute as @e[tag=spike,scores={spike_timer=5}] at @s run effect give @a[scores={admin=0},distance=..0.7] instant_damage 1 1 true

execute as @e[tag=spike_center,scores={spike_timer=0}] at @s if block ~ ~-1 ~ #safest_house:air run kill @s



################################################### Pitfall trap #############################################
#(mark any block, all connected ones disappear)
execute as @e[tag=pitfall] at @s positioned ~ ~1 ~ run kill @e[tag=sp1,distance=..0.5]
execute as @e[tag=sp1] at @s run summon area_effect_cloud ~ ~-1 ~ {Tags:[pitfall],NoGravity:1,Duration:999999999}
kill @e[tag=sp1]

scoreboard players add @e[tag=pitfall] pitfall_timer 0
scoreboard players add @e[tag=pitfall,scores={pitfall_timer=1..}] pitfall_timer 1
scoreboard players set @e[tag=pitfall,scores={pitfall_timer=20..}] pitfall_timer 0

execute as @a[scores={admin=0}] at @s positioned ~ ~-1 ~ run scoreboard players set @e[tag=pitfall,distance=..0.5,scores={pitfall_timer=0}] pitfall_timer 1
execute as @e[scores={ET=1..2}] at @s positioned ~ ~-1 ~ run scoreboard players set @e[tag=pitfall,distance=..0.5,scores={pitfall_timer=0}] pitfall_timer 1
execute as @e[tag=pitfall,scores={pitfall_timer=2}] at @s run scoreboard players set @e[tag=pitfall,scores={pitfall_timer=0},distance=..1.1] pitfall_timer 1
execute as @e[tag=pitfall,scores={pitfall_timer=1}] at @s run clone ~ ~ ~ ~ ~ ~ ~ 0 ~
execute as @e[tag=pitfall,scores={pitfall_timer=1}] at @s run setblock ~ ~ ~ air
execute as @e[tag=pitfall,scores={pitfall_timer=19}] at @s run clone ~ 0 ~ ~ 0 ~ ~ ~ ~
execute as @e[tag=pitfall,scores={pitfall_timer=19}] at @s run setblock ~ 0 ~ bedrock

execute as @e[tag=pitfall,scores={pitfall_timer=0}] at @s if block ~ ~ ~ #safest_house:air run kill @s


#################################################################################################################



tag @a remove give
scoreboard players set @a talk 0
scoreboard players set @a sneak 0
scoreboard players set @a jump 0
scoreboard players set @a rc 0
